<!DOCTYPE html>
<html lang="ru">
  <head>
    <meta charset="utf-8">
    <title>Страница для ССП (JS)</title>
    <script>
        const clicked = () => {
            const form = document.querySelector('form');
            const resDiv = document.querySelector('#result');
            let { x1, y1, x2, y2 } = Object.fromEntries(new FormData(form));
            let res = 0;
            res = Math.sqrt((x1 - x2) * (x1 - x2) + (y1 - y2) * (y1 - y2));
            console.log(res);
            if (!isNaN(res)) resDiv.textContent = res;
            else resDiv.textContent = 'Введите числа!'
        }
    </script>
  </head>
  <body>
    <form>
        <input type="text" name="x1" placeholder="x1 coordinate" autofocus>
        <input type="text" name="y1" placeholder="y1 coordinate"> <br/>
        <input type="text" name="x2" placeholder="x2 coordinate">
        <input type="text" name="y2" placeholder="y2 coordinate">
        <button onclick="clicked()" type="button">calculate</button>
    </form>
    Результат вычислений: <strong><div id="result"></div></strong>
  </body>
</html>
